Bug 547575 - SELinux is preventing /bin/bash "search" access on /home.
Summary: SELinux is preventing /bin/bash "search" access on /home.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:66b1e96d5b1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-15 00:49 UTC by Bob hernandez
Modified: 2009-12-22 20:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 20:42:38 UTC
Type: ---


Attachments (Terms of Use)

Description Bob hernandez 2009-12-15 00:49:06 UTC
Summary:

SELinux is preventing /bin/bash "search" access on /home.

Detailed Description:

SELinux denied access requested by mysqld_safe. It is not expected that this
access is required by mysqld_safe and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:mysqld_safe_t:s0
Target Context                system_u:object_r:home_root_t:s0
Target Objects                /home [ dir ]
Source                        mysqld_safe
Source Path                   /bin/bash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           bash-4.0.33-1.fc12
Target RPM Packages           filesystem-2.4.30-2.fc12
Policy RPM                    selinux-policy-3.6.32-49.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.6-145.fc12.i686 #1 SMP Sat
                              Nov 21 16:28:23 EST 2009 i686 i686
Alert Count                   6
First Seen                    Sat 05 Dec 2009 08:53:36 AM HST
Last Seen                     Sat 05 Dec 2009 10:58:05 AM HST
Local ID                      e2feb9b6-30ae-4b67-b454-0629a1520dcd
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1260046685.747:32126): avc:  denied  { search } for  pid=2513 comm="mysqld_safe" name="home" dev=dm-0 ino=32779 scontext=unconfined_u:system_r:mysqld_safe_t:s0 tcontext=system_u:object_r:home_root_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1260046685.747:32126): arch=40000003 syscall=195 success=no exit=-13 a0=a007fc8 a1=bffb670c a2=838ff4 a3=a007fc8 items=0 ppid=2484 pid=2513 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts1 ses=1 comm="mysqld_safe" exe="/bin/bash" subj=unconfined_u:system_r:mysqld_safe_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-49.fc12,catchall,mysqld_safe,mysqld_safe_t,home_root_t,dir,search
audit2allow suggests:

#============= mysqld_safe_t ==============
allow mysqld_safe_t home_root_t:dir search;

Comment 1 Daniel Walsh 2009-12-15 14:06:21 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-59.fc12.noarch

Comment 2 Fedora Update System 2009-12-16 13:56:13 UTC
selinux-policy-3.6.32-59.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-59.fc12

Comment 3 Fedora Update System 2009-12-18 04:44:18 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13384


Note You need to log in before you can comment on or make changes to this bug.